#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	shaper = 3;
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(198,246,55);
    ofRect(pos.x, pos.y, 20,20);
}


//------------------------------------------------------------------
void rectangle::interpolateByPct(float myPct){
	
	pct = powf(myPct, shaper);  //pct equals myPct to the power of the shaper.  myPct is reset to the value of pct each time through update.
	pos.x = (1-pct) * posa.x + (pct) * posb.x;  //assign pos.x value closer to posb.x
	pos.y = (1-pct) * posa.y + (pct) * posb.y;  //assign pos.y value closer to posb.y
}