#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){


	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofBackground(30,30,30);
	
	
	// set the "a" and "b" positions of the rectangle...
	
	myRectangle.posa.x = 0;
	myRectangle.posa.y = 50;
	myRectangle.posb.x = 400;
	myRectangle.posb.y = 50;
	myRectangle.interpolateByPct(0);	// start at 0 pct
	pct = 0;							// a variable we can alter...
	counter = 0;        //for counting number of mouse clicks
	
} 

//--------------------------------------------------------------
void testApp::update(){
	

		
		
	pct += 0.01f;							// increase by a certain amount
	if (pct > 1) pct = 0;					// just between 0 and 1 (0% and 100%)
	myRectangle.interpolateByPct(pct);		// go between pta and ptb
	
	
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	//ofDrawBitmapString("click to assign point A or Point B to mouse position", 10,10);
	if ( counter % 2 == 0 )
	{
	ofDrawBitmapString("Click to assign Point B to current mouse position", 10,10);
	}
	
	if ( counter % 2 == 1 )
	{
		ofDrawBitmapString("Click to assign Point A to current mouse position", 10,10);
	}
	
	myRectangle.draw();
	
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	counter += 1;
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
	
	if ( counter % 2 == 0 )
    {
		myRectangle.posa.x = mouseX;
		myRectangle.posa.y = mouseY;
		
		
    }
	
	if ( counter % 2 == 1 )
    {
		myRectangle.posb.x = mouseX;
		myRectangle.posb.y = mouseY;
		
    }
	




		
}
